/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Model-Independent Dynamic Contrast Analysis Parameters
 */
public enum EnumCV_ModelIndependentDynamicContrastAnalysisParameters {

	IAUC_126320("126320"),
	IAUC60_126321("126321"),
	IAUC90_126322("126322"),
	TIME_OF_PEAK_CONCENTRATION_126370("126370"),
	TIME_OF_LEADING_HALF_PEAK_CONCENTRATION_126372("126372"),
	BOLUS_ARRIVAL_TIME_126371("126371"),
	TIME_TO_PEAK_113069("113069"),
	TEMPORAL_DERIVATIVE_THRESHOLD_126374("126374"),
	MAXIMUM_SLOPE_126375("126375"),
	MAXIMUM_DIFFERENCE_126376("126376"),
	TRACER_CONCENTRATION_126377("126377") ;
	private String value;
	
	EnumCV_ModelIndependentDynamicContrastAnalysisParameters(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
